@ECHO OFF
:start
REM ***************************************************************
REM ** INSTALL.BAT. (C) Copyright 1996 by Derek McDonald & DMCS  **
REM ** Technologies.                                             **
REM ** Written By: Derek McDonald.                               **
REM ***************************************************************

REM %1 = Destination disk.
REM %2 = Source disk.


ECHO McBBS installation procedure engaged.
ECHO.
ECHO If you receive Syntax Errors here ignore them. The program is trying
ECHO to figure out where you want the installation put.
ECHO.

:checkone
REM Validate first parameter.
IF %1==?  GOTO screennotice
IF %1==a: GOTO checktwo
IF %1==b: GOTO checktwo
IF %1==c: GOTO checktwo
IF %1==d: GOTO checktwo
IF %1==e: GOTO checktwo
IF %1==f: GOTO checktwo

IF %1==A: GOTO checktwo
IF %1==B: GOTO checktwo
IF %1==C: GOTO checktwo
IF %1==D: GOTO checktwo
IF %1==E: GOTO checktwo
IF %1==F: GOTO checktwo
GOTO screennotice


:checktwo
REM Validate second parameter.
IF %2==a: GOTO install
IF %2==b: GOTO install
IF %2==c: GOTO install
IF %2==d: GOTO install
IF %2==e: GOTO install
IF %2==f: GOTO install

IF %2==A: GOTO install
IF %2==B: GOTO install
IF %2==C: GOTO install
IF %2==D: GOTO install
IF %2==E: GOTO install
IF %2==F: GOTO install
GOTO screennotice


:install
REM Install program.
CLS
ECHO                   MCBBS INSTALLATION
ECHO                   ------------------
ECHO This Batch process will prepare your McBBS for installation.
ECHO McBBS is shipped in a compressed format and the innards must be
ECHO expanded and extracted to be used. This process will require 4-5MB, all
ECHO but approx. 1.5 will be returned upon completion.
ECHO.
ECHO This process will create the directory %1\MINST as a temporary
ECHO storage location. From here you will be sent into the INSTALL program
ECHO where the McBBS directories and files will be made operational. This
ECHO temporary directory will be removed when this process is complete.
ECHO If you wish this location to be different you must modify this batch
ECHO file.
ECHO.
ECHO Do NOT stop the process unless errors occur. If so, press CTRL-C and
ECHO answer Y (for YES) IF DOS asks if you wish to stop the process.
ECHO You will have to start again if you wish to continue.
PAUSE

ECHO If you are not running an OS (or DOS version) that understands DOS BATCH
ECHO scripts please see the file README.TXT on your supplied diskette. For
ECHO installation details beyond this file please consult the MCBBS5D.DOC
ECHO when it is decompressed.
ECHO.
ECHO Your original McBBS disk will not be effected.
ECHO ** DO NOT RUN THIS FILE ONCE YOUR MCBBS IS SUCCESSFULLY INSTALLED! **
PAUSE

CLS
ECHO If you have not read the README.TXT file, now is your chance to do
ECHO so. IT IS IMPORTANT THAT YOU READ THIS!! If you have already then simply
ECHO press ENTER at the '--More --' prompt to skip past (do not attempt to
ECHO stop the execution (example NO CTRL-C) while the document is displayed
ECHO unless you want to stop this installation procedure).
ECHO.
ECHO If you do not have a complete or proper DOS installation you will
ECHO receive an error. Ignore this error and continue to the next step then
ECHO go back and read it manually later. The text should pause on each
ECHO screen, if it does not then let it pass and read it manually later.
PAUSE

%1

CLS
TYPE %2readme.txt|MORE
PAUSE

CLS
ECHO Now creating temporary paths...
%1
CD \
MKDIR MINST
CD \MINST

ECHO.
ECHO Now copying files...
VERIFY ON
COPY %2*.ZI_ >temp.txt

ECHO.
ECHO Now decompressing...
RENAME MCBBS5D.ZI_ COMPRES1.EXE
COMPRES1.EXE -o >temp.txt
DEL:COMPRES1.EXE

RENAME EASCII25.ZI_ ASCII.EXE
ASCII.EXE -o EASCII.EXE >temp.txt
RENAME ASCII.EXE EASCII25.ZI_

ECHO.
ECHO The McBBS installation program will now be loaded. To make things
ECHO simple do an automatic installation by typing: I,I,[ENTER],N,Q,Y in that
ECHO order when prompted. If you type Y instead of N for the fourth item
ECHO you must press the ESC key to exit the on-line help. [ENTER] means the
ECHO pressing of the ENTER key. If there are details you wish to change you
ECHO can go back and change them immediately after this process is completed
ECHO by typing INSTALL at the prompt.
PAUSE
INSTALL %1\ %1\MINST

CLS
ECHO If you are satisfied with your installation you may now delete the
ECHO temporary path by pressing a key here. If you want to try again
ECHO then press CTRL-C now and then type INSTALL. See you user manual
ECHO for more details. You will have to remove the temorary path manually.
ECHO.
ECHO Also note: The programs EASCII25.ZI_ and COMCONV.ZI_ will have to
ECHO manually be extracted IF you want to use them. EASCII25.EXE was the
ECHO only program taken from this optional set. See the README.TXT for the
ECHO manual procedures on how to do this.
PAUSE

ECHO Backing up optional files.
%1
CD \MINST
COPY *.ZI_ %1\MCBBS\*.ZI_ >temp.txt
ECHO.
ECHO Cleaning up.
ECHO.
ECHO If DOS asks if you want to delete this directory answer Y for YES.
DEL:*.*
CD \
RMDIR MINST

%1
CD \MCBBS

ECHO.
ECHO Installation complete.
GOTO batchend


:screennotice
CLS
ECHO MCBBS installation procedure: INSTALL.BAT.
ECHO (C)opyright 1996 Derek McDoanld & DMCS Technologies.
ECHO.
ECHO Loading procedure:
ECHO  At the DOS prompt type:
ECHO  INSTALL.BAT ([destination] [source])
ECHO.
ECHO [destination] = Disk unit where McBBS is to be installed.
ECHO      [source] = Disk unit you are installing FROM (where this BAT is).
ECHO.
ECHO The [destination] and [source] MUST be identified.
ECHO.
ECHO Example: INSTALL C: A:
ECHO  Installs McBBS to disk C: from A:
ECHO.
ECHO.
ECHO NOTES: 1) You must include the : (colon) with the disk unit name.
ECHO        2) Use no path names - disk units ONLY.
ECHO        3) Valid disk units are A:, B:, C:, D:, E:, F: if you wish others
ECHO            you must change this batch or do a manual install.
ECHO.
ECHO Type INSTALL ? to see this screen.


:batchend
ECHO.
REM -- End.
